/* Este arquivo eh especifico para estilos gerais da WIKI e faz parte do produto.
   Quando precisar personalizar algo do seu site utilize apenas o arquivo 'custom.css'

*/

@import url("custom.css");

body {
    font-size: 14px;
}

.btn {
    font-size: 14px;
    padding: 8px 15px;
}

a{
    text-decoration: none !important;
}

h1{
    color: var(--body-color);
    font-size: 27px;
    margin: 25px 0 35px;
    font-weight: 500;    
}

h2{
    font-weight: 500;
    font-size: 22px;
}

h3 {
    font-size: 21px;
    font-weight: 500;
}

legend {
    font-size: 14px;
    margin: 10px 0;
}

/* Elemento mais externo do topo */
header{
    display: flex;
    flex-direction: row-reverse;
}

/* Area do topo com logo e titulo */
.container-header .navbar-brand{
    display: flex;
}

/* Definicoes da logo no topo */
.container-header .grid-child{
    width: auto;
}
.navbar-brand .brand-logo img{
    vertical-align: sub;
}

/* Titulo do site exibido no topo */
.container-topbar .mod-custom{
    width: 100%;
    text-align: center;
}
.header .nb-header-title{
    font-size: 30px;
    font-weight: 600;
    align-self: center;
    color: #fff;
    white-space: normal;
    text-transform: uppercase;
}

/* Area do topo que exibe dados do login e modulo com titulo */
.container-topbar{
    display: flex;
    flex-direction: row-reverse;
    width: 100%;
}
.container-topbar *{
    align-self: center;
}
.container-topbar .mod-custom p{
    margin: 0;
}

/* Modulo com dados do login no topo (apos logado) */
.mod-login-logout{
    display: flex;
    justify-content: flex-end;
    margin: 5px 5px 0 0;
    flex-grow: 1;
}
.mod-login-logout *{
    align-self: center;
    font-size: 14px;
    white-space: nowrap;
}
.mod-login-logout .logout-button button{
    margin-left: 12px;
    padding: 5px 11px;
    background-color: var(--cassiopeia-color-primary);
    border-color: var(--cassiopeia-color-primary);
}

.mod-login-logout .logout-button button:hover{
    background-color: var(--cassiopeia-color-hover);
    border-color: var(--cassiopeia-color-hover);
}

/* Modulo de login qnd deslogado nao deve exibir nada */
.mod-login{
    display: none;
}

/* Pagina do artigo - Detalhes exibidos no topo */
.article-info{
    margin-bottom: 35px;
}

/* Esconde botoes de edicao de alguns modulos no front */
.container-topbar .jmodedit,
.mod-login-logout .jmodedit,
.container-sidebar-right .jmodedit{
    display: none;
}

/* Home (pagina que lista categorias) - Area de conteudo principal */
body.view-categories .site-grid {   
    display: flex;
    flex-direction: column-reverse;
}

/* Home (pagina que lista categorias) - Definicoes para lista de categorias */
body.view-categories .site-grid ul.mod-articlescategories {
    margin: 0;
    overflow: hidden;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 8px;
    margin-bottom: 30px;
}

/* Bolinha nos marcadores apenas da home */
body.view-categories li{
    list-style: inside;
}

/* Estilo botoes de categorias */
.categories-btn{
    text-align: center;
    display: inline-block;
    width: 100%;
}
.categories-btn a{
    display: inline-block !important;
    width: fit-content;
}

/* Espacamento entre itens da categorias */
.mod-list li {
    padding: 2px 0;
}

/* Modulo de busca */
.mod-finder{
    margin: auto;
    width: fit-content;
}

/* Div que carrega modulos extras no final da home */
.home_bottom{
    display: flex;
}
.home_bottom.card {
    width: 100%;
}

/* Form login */
.com-users-login,
.com-users-reset,
.com-users-remind {
    max-width: 400px;
    margin: auto;
}

/* Mobile */
@media only screen and (max-width: 767px) {
    header{
        display: block;
    }
    .container-topbar{
        display: block;
    }
    .container-header .navbar-brand{
        width: 100%;
        justify-content: center;
    }
    body.view-categories .site-grid ul.mod-articlescategories{
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 5px;
    }
    .home_bottom{
        display: block;
    }
}